%define version    5.13
%define release    20180605
%define rhel_version 7


Name:           redhat-certification-hardware
Summary:        Red Hat Hardware Test Suite
Version:        %{version}
Release:        %{release}.el%{rhel_version}
Group:          Development/Tools
License:        GPLv2+
URL:			http://redhat.com
Source0:        %{name}-%{version}-%{release}.tar.bz2
# snapshot
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Conflicts: rhr-core, rhr-auto, rhr-interact, rhr-crush
Obsoletes: hwcert-client
Requires: redhat-certification-backend >= %{version}
Requires: lmbench, dt, httpd, nfs-utils, stress, gcc
Requires: dbus-python, kernel-devel, kernel-headers, sos
Requires: rfkill, pciutils
# require usbutils for lsusb except on s390x
%ifnarch s390x
Requires: usbutils, iw, NetworkManager
%endif
# require RHEL7 via kernel
Requires: kernel >= 3


%description
Red Hat Hardware Test Suite certifies hardware for Red Hat Enterprise Linux

%prep
%setup -q -c


%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT HWCERT_RHEL_VERSION=%{rhel_version} HWCERT_RELEASE=20180605 make

%install
DESTDIR=$RPM_BUILD_ROOT HWCERT_RHEL_VERSION=%{rhel_version} HWCERT_RELEASE=20180605 make install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre

%post

%files
%defattr(-,root,root)
/usr/lib/python2.7/site-packages/rhcert/suites/hwcert/tests
/usr/lib/python2.7/site-packages/rhcert/suites/hwcert/hwcert
/usr/lib/python2.7/site-packages/rhcert/suites/hwcert/__init__.py*

%changelog
* Tue Jun 05 2018 Pooja Tiwari <ptiwari@redhat.com>
- Revert CERTPX-2674: Partner should be able to add configuration details""
- Revert CERTPX-2674: Partner should be able to add configuration details for a""

* Fri Jun 01 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2674: Partner should be able to add configuration details for a              passthrough device in WUI and CLI during planning              the fv_storage test - Improved error handling - Add qemu-kvm and libvirt as dependencies for redhat-certification-hardware-preview   package

* Thu May 31 2018 Ben Rose <brose@redhat.com>

* Wed May 30 2018 Ben Rose <brose@redhat.com>
- CERTPX-2713 - Add another way to detect ip address for device/port besides module being in the net interface name
- CERTPX-2155 - Create kvm-rt test

* Tue May 29 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2674: Partner should be able to add configuration details for a passthrough device in WUI and CLI during planning the fv_storage test - While planning ask the PCI device address details to partner and write the   test plan to the guest VM's domain XML (/etc/libvirt/qemu/hwcert-x68.xml) Change-Id: I2adff47dddea68de73b5fb69c9b81bee1feae616

* Wed May 23 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2588 - In changelog, instead of commiter/uploader name, display author/owner name associated with the commit. - also improved filter to skip merge commits from changelogs

* Fri May 18 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2659 Add automated changelog updates to redhat-certification-hardware

* Mon May 14 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- Update revision to 5.13

* Fri May 11 2018 Ben Rose <brose@redhat.com>
- update changelog
- CERTPX-2643 - cpuscaling test failing with traceback on some systems Made more resilient with try except blocks and rearranging things just a bit

* Thu May 10 2018 Ben Rose <brose@redhat.com>
- CERTPX-2679 - use one less thread when calculating for memory test

* Wed May 09 2018 Ben Rose <brose@redhat.com>
- CERTPX-2742 - fix traceback for rdma connection test with net device mia from network-scripts

* Tue May 08 2018 Ben Rose <brose@redhat.com>
- CERTPX-2679 - corrected variable reference for memory test

* Fri May 04 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194: Support RHV by fixing fv_storage test - Remove 'sos' as dependency
- CERTPX-2193: Support RHV by fixing fv_network test - Run tests in the guest using 'network' tag
- CERTPX-2194: Support RHV by fixing fv_storage test - Comment the code for virtio_storage test as SCSI passthrough   is not in certification scope for RHV right now

* Fri May 04 2018 Ben Rose <brose@redhat.com>
- CERTPX-2713 - rdma connection test fails if no address files are found matching rdma module.

* Thu May 03 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194: Support RHV by fixing fv_storage test - Do not tag the virtio_storage test with the 'storage' tag   as this test is not required to run for RHV certification   for now

* Wed May 02 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194 Support RHV by fixing fv_storage test - Run the tests in guest using the 'storage' tag - Update the version of rhcert to copy rpms from the data image - add 'sos' as dependecy package to run the mandatory sosreport   test in the guest - Rename the test to run storage on guest to 'virtio_storage'

* Wed May 02 2018 Ben Rose <brose@redhat.com>
- CERTPX-2696 - fixed a comment

* Tue May 01 2018 Ben Rose <brose@redhat.com>
- CERTPX-2696 - frequent Memory test failures - threaded_memtest: error: bad memory size 0m

* Fri Apr 27 2018 Ben Rose <brose@redhat.com>
- CERTPX-2679 - update threads and memory to pass into threaded_memtest

* Mon Apr 23 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194 Add the fv_storage test changes to release-5.12 branch Revert Revert "CERTPX-2194: Support RHV by fixing fv_storage test"""

* Sun Apr 22 2018 Ben Rose <brose@redhat.com>
- rev to 5.12

* Wed Apr 18 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- Update changelog
- Revert CERTPX-2194: Support RHV by fixing fv_storage test""

* Tue Apr 17 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2656: missing lspci command (pciutils package) causing traceback - Install pciutils as dependency for redhat-certification-hardware   as it is required for planning storage tests
- CERTPX-2194: Support RHV by fixing fv_storage test - Add 'lsscsi' package as dependency for installing in the guest VM

* Mon Apr 16 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194: Support RHV by fixing fv_storage test - Add support for modified hwcertData.img

* Fri Apr 13 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194: Support RHV by fixing fv_storage test - Remove unused code for picking up hypervisor
- CERTPX-2194: Support RHV by fixing fv_storage test - Download the config file for guest XML while planning   any fv test to provide opportunity to partner to edit it   before running the test
- CERTPX-2193: Support RHV by fixing fv_network test - Correct the command to run the test
- CERTPX-2194: Support RHV by fixing fv_storage test - Add a new VirtualIO storage test to run only on   a virtual block device or a passthrough device assignment

* Thu Apr 05 2018 Ben Rose <brose@redhat.com>
- CERTPX-2634 - update redhat-certification-hardware package to require -backend >= its version

* Wed Apr 04 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-659 rhcert sources reorganization - rhcert.model for xml docs

* Tue Apr 03 2018 Ben Rose <brose@redhat.com>
- CERTPX-2549 - use opapmaquery for omnipath rdma node query subtest

* Wed Mar 28 2018 Ben Rose <brose@redhat.com>
- CERTPX-2549 - address false positive of smpquery subtest for rdma
- rev to 5.11

* Wed Mar 28 2018 Benjamin Berg <bberg@redhat.com>
- CERTPX-2551: Add missing returned

* Sat Mar 24 2018 Ben Rose <brose@redhat.com>
- CERTPX-2549 - rdma - parse ibstatus results attributes whether or not address files are found corresponding to modules

* Fri Mar 23 2018 Benjamin Berg <bberg@redhat.com>
- CERTPX-2592: Disallow key combinations in acpikeys" subtest"
- CERTPX-2183: Use new X session management code
- hwcert: Add a helper to correctly start an X session
- CERTPX-2183: Prompt that the image is not scrambled
- CERTPX-2551: Minor code restructuring and comment correction

* Thu Mar 22 2018 Ben Rose <brose@redhat.com>
- rev version to 5.10

* Wed Mar 14 2018 Benjamin Berg <bberg@redhat.com>
- CERTPX-2551: Don't warn twice for large range differences
- CERTPX-2551: Fix class instantiation when running standalone
- CERTPX-2551: Improve error handling, recovery and reporting
- CERTPX-2551: Add trackpoint test

* Tue Mar 13 2018 Ben Rose <brose@redhat.com>
- CERTPX-2496 - add another way to detect correct net device using config scripts for rdma cards

* Sun Mar 11 2018 Ben Rose <brose@redhat.com>
- CERTPX-2425 - add ip addr printout to kdump on nfs output for more efficient verifications

* Fri Mar 09 2018 Ben Rose <brose@redhat.com>
- rev to 5.10

* Thu Mar 01 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2481: RPMDIFF spec file license failure - Changed License from GPL to GPLv2+

* Wed Feb 28 2018 Ben Rose <brose@redhat.com>

* Mon Feb 26 2018 Ben Rose <brose@redhat.com>
- CERTPX-2381 - add capability for s390x to run fv tests

* Thu Feb 22 2018 Benjamin Berg <bberg@redhat.com>
- CERTPX-1920: Add a simpel video output test

* Tue Feb 20 2018 Benjamin Berg <bberg@redhat.com>
- CERTPX-2183: Import WCTest only when needed

* Tue Feb 20 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- Update release version to 5.9

* Mon Feb 19 2018 Benjamin Berg <bberg@redhat.com>
- CERTPX-2183: Add manual WC test
- CERTPX-2183: Split pipeline creation and starting
- CERTPX-2183: Fold WC test hints into one statusmessage
- CERTPX-2183: Make border white for webcam auto adjustment
- CERTPX-1286: Store image in case of error

* Mon Feb 19 2018 Marek Kasik <mkasik@redhat.com>
- CERTPX-1286: Add webcam test

* Fri Feb 16 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1731: Refactor storage test for ease of subclassing it - change plan method of generic storage test to check devices planned   as well

* Thu Feb 15 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation - Added condition to check for controllers that contain both SATA" and "SAS""

* Wed Feb 14 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2469: Traceback with 1GEthernet test - Pass Host class object to LocalTestServer class in network test

* Tue Feb 13 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1731: Refactor storage test for ease of subclassing it CERTPX-2161: Split out SATA test (select SATA & block device) CERTPX-2162: Split out SAS test (select SAS & block device) CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation - Move test tagging to actual test subclasses to not tag the generic storage test with Tags.storage

* Mon Feb 12 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1731: Refactor storage test for ease of subclassing it CERTPX-2161: Split out SATA test (select SATA & block device) CERTPX-2162: Split out SAS test (select SAS & block device) CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation - Rename the test class file to storage.py
- CERTPX-1731: Refactor storage test for ease of subclassing it CERTPX-2161: Split out SATA test (select SATA & block device) CERTPX-2162: Split out SAS test (select SAS & block device) CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation - Name the storage tests as per the testplan returned by CWE

* Fri Feb 09 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1731: Refactor storage test for ease of subclassing it CERTPX-2161: Split out SATA test (select SATA & block device) CERTPX-2162: Split out SAS test (select SAS & block device) CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation - Refactor the storage test to plan based on certain conditions - Create SAS and SATA test based on controller name - Plan the generic storage test if no other storage tests can be planned - Use the Command module for certain commands - detect SATA/SAS interface for hosts from lsscsi if we cannot fetch it from the controller name

* Thu Feb 01 2018 Benjamin Berg <bberg@redhat.com>
- CERTPX-1962: Add new display backlight test
- CERTPX-1961: Add evdev based switch test
- CERTPX-1934: Add evdev based keys tests
- CERTPX-1880: Add touchpad test to preview
- hwcert/evdev: Add new evdev helper

* Wed Jan 31 2018 Benjamin Berg <bberg@redhat.com>
- hwcert: Add utilities module with suspend functionality
- Add helper to read a sysfs attribute using the UDevDevice
- udev: Add getParent method to udevDeviceDetector
- deviceclass: Add input device class

* Mon Jan 29 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- Update rev to 5.8

* Tue Jan 23 2018 Ben Rose <brose@redhat.com>
- updated changelog
- CERTPX-2367 - fixed error in rdmaConnection init for rhcertd start/restart command to not fail

* Tue Jan 23 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2160: Change storage test to select based off controller and block device,              not just block device - Correction for running tests on all" disks"

* Mon Jan 22 2018 Ben Rose <brose@redhat.com>

* Mon Jan 22 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2160: Change storage test to select based off controller and block device,              not just block device - Display controller name for each disk in the user prompt on command line and WUI   to select disk for running the storage test

* Sun Jan 21 2018 Ben Rose <brose@redhat.com>
- CERTPX-1980 - accept 'failed' as opafm service status after stop for versions prior to opa-fm-10.5.1.0.1-1

* Tue Jan 09 2018 Ben Rose <brose@redhat.com>
- rev to 5.7

* Wed Dec 06 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1778: kdump tests fail on Power 9 ppcl64le with 7.4-alt - add time to sleep after the kernel recovers from panic

* Tue Dec 05 2017 Ben Rose <brose@redhat.com>
- CERTPX-2238 - use /rhcert-transfer alias in addition to old /store alias for pulling fv files from LTS
- rev to 5.6
- Revert rev to 5.6""

* Fri Dec 01 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2158: kdump nfs test should return kdump.conf file to original state - Improve messages for RHEL7 kdump test

* Thu Nov 30 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1973: Add C-state to cpuscaling test in RHEL6 and 7 - For RHEL7 check that the cpuidle firectory exists inside   the cpunumber directory

* Tue Nov 28 2017 Greg Nichols <gnichols@redhat.com>

* Tue Nov 28 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2158: kdump nfs test should return kdump.conf file to original state - Before panic dump kdump.conf to a file - After panic read the file and reset the kdump.conf

* Mon Nov 27 2017 Ben Rose <brose@redhat.com>
- CERTPX-1890 - add dropdown and reported speed check for usb3 test

* Sat Nov 25 2017 Ben Rose <brose@redhat.com>
- CERTPX-1852 - remove misleading warning messages for rdma tests

* Wed Nov 22 2017 Ben Rose <brose@redhat.com>
- CERTPX-1973 - remove cstate test from hwcertpreview

* Wed Nov 22 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1973: Add C-state to cpuscaling test in RHEL6 and 7 - Remove ctstate test from hwcertpreview

* Tue Nov 21 2017 Ben Rose <brose@redhat.com>

* Mon Nov 20 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1973: Add C-state to cpuscaling test in RHEL6 and 7 - Added for the cpuscaling test to exuecute using C-state if it is   supported, if C-state fails run using P-state, for x86 architectures

* Mon Nov 20 2017 Ben Rose <brose@redhat.com>

* Fri Nov 17 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2158: kdump nfs test should return kdump.conf file to original state - Reset the /etc/kdump.conf file after the kdump tests complete

* Wed Nov 15 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1964: Distinguish respins per branch and target RHEL version.

* Wed Nov 15 2017 Ben Rose <brose@redhat.com>

* Tue Nov 14 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1964: Port redhat-certification respin versioning logic to hwcert.

* Tue Nov 14 2017 root <root@ibm-p9b-02.pnr.lab.eng.bos.redhat.com>
- Updating rev to 5.5

* Wed Nov 08 2017 Ben Rose <brose@redhat.com>
- CERTPX-2022 - add make package to required rpms for cpuscaling test
- CERTPX-1777 - turn off cpuscaling test warning for powerpc

* Tue Nov 07 2017 Ben Rose <brose@redhat.com>
- CERTPX-2022 - handle difference in powersave governor in ARM
- CERTPX-1779 - nest try blocks and have power cpuscaling drivers drive load testing call determination

* Fri Nov 03 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1780: Update cpuscaling test for ARM architecture - Update method to get current frequncy for ARM - Update the cpuscaling test for ARM - New different load test for ARM - Fixed Makefile of cpuscaling test - Modified imports to absolute imports not relative

* Fri Oct 27 2017 Ben Rose <brose@redhat.com>
- rev to 5.4

* Mon Oct 23 2017 Ben Rose <brose@redhat.com>
- CERTPX-1406 - remove results file in guest image prior to each fv test run

* Fri Oct 20 2017 Ben Rose <brose@redhat.com>
- CERTPX-1777 - change None to  for initialization of cpuflags variable

* Thu Oct 19 2017 Ben Rose <brose@redhat.com>
- CERTPX-1979 - utilize nvram file for arm fv tests
- CERTPX-1979 - add constant for aarch64 arch
- CERTPX-1979 - update fvtest plan and mount code to accomodate ARM

* Mon Oct 16 2017 Ben Rose <brose@redhat.com>
- CERTPX-1779 - avoid partners re-using existing LTS stored images w/ new arch SUT without accidentally taking old x86_64 if arch specific is available on partner ftp
- CERTPX-1779 - add url including the arch of SUT to try prior to current one we use to support multiple arches and keeping naming otherwise consistent
- CERTPX-1779 - remove rhcert dependencies (leave -backend and -hardware)'s
- CERTPX-1779 - change %requires from rhcert to -backend
- CERTPX-1779 - extend fv to cover ppc64le

* Fri Oct 13 2017 Ben Rose <brose@redhat.com>
- CERTPX-1996 Fixed traceback in cpuscaling test while checking for current frequency governor.
- CERTPX-1914 - add pause between xinit and xlgears calls

* Fri Oct 13 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1780 Change in CPUScaling test to support rhel-alt: - Added regular expression to check cpu features.
- Added .gitreview file

* Wed Oct 04 2017 Ben Rose <brose@redhat.com>
- CERTPX-1951 - remove opa-fm from required rpm list for all rdma tests save omnipath

* Tue Oct 03 2017 Ben Rose <brose@redhat.com>
- rev to 5.3

* Fri Sep 22 2017 Ben Rose <brose@redhat.com>
- CERTPX-1830 unsuccessful rcopy no longer causes failure in subsequent rcopy tests in test run

* Thu Sep 21 2017 Ben Rose <brose@redhat.com>
- CERTPX-1915 - fix error in rdma test that kills Daemon

* Thu Sep 21 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1898: Refactor release string versioning logic to properly version redhat-certification-hardware packages.

* Mon Sep 18 2017 Ben Rose <brose@redhat.com>
- CERTPX-1467 - add pause for smpquery results to come back on LTS and be written out to file
- CERTPX-1467 - enhance output log info and make rcopy test more robust

* Sun Sep 17 2017 Ben Rose <brose@redhat.com>
- CERTPX-1893 allow failure of ping test without bombing out
- CERTPX-1893 - moved rdma connection tests from -preview to -hardware package

* Fri Sep 15 2017 Ben Rose <brose@redhat.com>
- CERTPX-1828 - only pair net devices to the correct port for rdma connection tests

* Thu Sep 14 2017 Ben Rose <brose@redhat.com>
- CERTPX-1564 - give 2 second pause in rpingTest to allow it to finish writing to file in LTS

* Tue Sep 12 2017 Ben Rose <brose@redhat.com>
- CERTPX-1699 - remove fencing test from codebase
- CERTPX-1866 - use net device ip address in ping for opa and infiniband too
- rev to 5.2

* Mon Sep 11 2017 Ben Rose <brose@redhat.com>
- CERTPX-1866 - removed commented out code
- CERTPX-1866 Use the originating ip address in ping test
- CERTPX-1727 - use getIgnoreErrors instead of getStringList

* Wed Sep 06 2017 Ben Rose <brose@redhat.com>
- CERTPX-1727 - replace . with _ in test display name to allow results popup linkage
- CERTPX-1727 - using getStringList works where echoIgnoreErrors does not for some reason

* Fri Sep 01 2017 Greg Nichols <gnichols@redhat.com>

* Thu Aug 31 2017 Ben Rose <brose@redhat.com>
- CERTPX-1815 - fixed parsing of net device from displayed test name where appropriate

* Thu Aug 31 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1351 Made sosreport mandatory test for hardware: - Run sosreport test with each test run like info test.
- CERTPX-1351 Added new test named as 'sosreport' for hardware program: - With this change sosreport generation will no longer be a part of   hwcert/info test. - hwcert/sosreport is a non-interactive test. - Sos report gathering will be done in the same way as it was earlier.   No change in execution.

* Tue Aug 29 2017 Ben Rose <brose@redhat.com>
- CERTPX-1728 - added device information when prompting for LTS side ip address
- CERTPX-1728 - update smpquery to use port number flag and update device display name

* Sat Aug 26 2017 Ben Rose <brose@redhat.com>
- CERTPX-1728 - address race condition and add rpm requirement

* Thu Aug 24 2017 Ben Rose <brose@redhat.com>
- CERTPX-1727 add ethtool test for iwarp and roce
- CERTPX-1727 plan based on net device too

* Wed Aug 23 2017 Ben Rose <brose@redhat.com>
- CERTPX-1729 - import the correct HTTPError class
- CERTPX-1729 - Added link speed subtest for OPA (omnipath) test
- CERTPX-1728 - try/catch around collab calls
- CERTPX-1728 - remove print line for type
- CERTPX-1728 - add smpquery test and general test fix

* Sat Aug 19 2017 Ben Rose <brose@redhat.com>
- CERTPX-1728 - add LID test for infiniband connection test

* Fri Aug 18 2017 Ben Rose <brose@redhat.com>
- CERTPX-1728 - made service test generic and made more thorough
- rev to 5.1
- added try/except blocks

* Tue Aug 15 2017 Ben Rose <brose@redhat.com>
- CERTPX-1728 added infiniband specific subtest and refactored for easier subtest inclusion/exclusion in subclasses
- CERTPX-1728 refactored subtests in rdmaConnectionTest

* Mon Aug 14 2017 Ben Rose <brose@redhat.com>
- CERTPX-1728 - add rcopy test

* Sun Aug 13 2017 Ben Rose <brose@redhat.com>
- CERTPX-1728 - add better rping testing

* Mon Aug 07 2017 Ben Rose <brose@redhat.com>
- CERTPX-1728 - add rping to Infiniband Connection Test

* Sun Aug 06 2017 Ben Rose <brose@redhat.com>
- rev to 5.0
- refactoring, getting dropdowns of ip addrs
- use ibstatus instead of ibstat for rdma tests

* Sat Aug 05 2017 Ben Rose <brose@redhat.com>
- merging in release-4.12 branch

* Mon Jul 24 2017 Ben Rose <brose@redhat.com>
- CERTPX-1674 - add a POC test that utilizes functions on lts requested by sut

* Thu Jul 20 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1599: Begin adding support to automate Brew build submission for redhat-certification-hardware.

* Thu Jul 20 2017 Ben Rose <brose@redhat.com>
- CERTPX-1425 - Have different minimum check frequency tolerance boundaries than other frequency checks

* Tue Jul 18 2017 Ben Rose <brose@redhat.com>
- CERTPX-1519 check for other storage tests prior to planning generic one

* Wed Jul 12 2017 Ben Rose <brose@redhat.com>
- rev'ed version to 4.12

* Fri Jul 07 2017 Ben Rose <brose@redhat.com>
- update changelogs
- Revert CERTPX-1564 - beginning of RoCE connection test""

* Mon Jul 03 2017 Ben Rose <brose@redhat.com>
- CERTPX-1564 - beginning of RoCE connection test

* Wed Jun 21 2017 Ben Rose <brose@redhat.com>
- CERTPX-1539 - take floor at MHz level for cpuscaling test in-range check

* Fri Jun 16 2017 Ben Rose <brose@redhat.com>
- CERTPX-1283 - fix cpuscaling issue with minimum mhz reading being x1000
- CERTPX-647 - add 'preview' to name/link for cstate preview test
- rev to 4.11

* Mon Jun 12 2017 Ben Rose <brose@redhat.com>
- CERTPX-647 - moving test to preview
- CERTPX-647 - implement cstate test
- CERTPX-647 - Minimum changes to add new test (for cstate)

* Tue Jun 06 2017 Ben Rose <brose@redhat.com>
- rev to 4.10
- CERTPX-558 - add device udi to output log for easier identification in review

* Sat May 06 2017 Ben Rose <brose@redhat.com>
- CERTPX-1311 - lazy load from directory on fv image rather than data fv every time

* Fri May 05 2017 Ben Rose <brose@redhat.com>
- CERTPX-1371 - route stdout to dev/null for disc writing functions

* Thu Apr 27 2017 Ben Rose <brose@redhat.com>
- CERTPX-1311 - remove rhcert and hwcert packages prior to installation in fv guest script

* Wed Apr 19 2017 Ben Rose <brose@redhat.com>
- CERTPX-430 - add 8 and 16 to thread count list for 100GigEthernet test
- CERTPX-1289 - typo correction for lid test
- rev version to 4.8

* Tue Mar 28 2017 Ben Rose <brose@redhat.com>
- CERTPX-1108 fix file name variables in download section of fv test

* Wed Mar 22 2017 Ben Rose <brose@redhat.com>
- rev version to 4.7
- CERTPX-1108 - update fvtest to work with new backwards compatible hwcertData img file
- CERTPX-1108 update fv tests to run rhcert 4.5 without having to update the main image

* Mon Mar 13 2017 jkinsman <jkinsman@redhat.com>
- Addresses code review concerns.
- Replaces spaces with tabs (text editor misconfigured for GNU Make)
- Checkpoint: Adds build-hwcert.sh script that builds redhat-certification-hardware artifacts for RHEL 6 and RHEL 7.

* Mon Feb 27 2017 jkinsman <jkinsman@redhat.com>
- Initial commit; adds new CI directory.

* Fri Feb 24 2017 Ben Rose <brose@redhat.com>
- CERTPX-1043 add -m to bw_tcp command in 10 and 1GigEthernet tests
- rev version to 4.5
- CERTPX-1043 add -m flag back to bw_tcp command for 20GigEthernet test

* Sat Jan 28 2017 Ben Rose <brose@redhat.com>
- CERTPX-427 - use device ip in ping instead of device name

* Tue Jan 17 2017 Ben Rose <brose@redhat.com>
- CERTPX-679 fix bug in network tests

* Mon Jan 16 2017 Ben Rose <brose@redhat.com>
- CERTPX-586 - add log output for lsusb -t for usb tests
- CERTPX-535 - add message size flag to bw_tcp call for 25GigEthernet test only

* Thu Jan 12 2017 Ben Rose <brose@redhat.com>
- CERTPX-535 - add back 2 and 4 to list of thread counts

* Tue Jan 10 2017 Ben Rose <brose@redhat.com>
- CERTPX-535 - update tcp threads for 25GigEthernet test

* Mon Jan 09 2017 Ben Rose <brose@redhat.com>
- CERTPX-474 - clean up some git stash typos
- CERTPX-644 - update version to 4.4

* Fri Jan 06 2017 Ben Rose <brose@redhat.com>
- CERTPX-612 remove message size flag from bw_tcp call

* Wed Dec 21 2016 Ben Rose <brose@redhat.com>
- CERTPX-474 - Refactor custom import code ^Cr unit tests out of cpuscaling

* Sat Dec 17 2016 Ben Rose <brose@redhat.com>
- CERTPX-474 - prevent stack traces from errors converting to float

* Wed Dec 07 2016 Ben Rose <brose@redhat.com>
- CERTPX-561 - update version to 4.3
- CERTPX-474 - add -n to cpupower commands and avoid potential for converting None to float

* Tue Dec 06 2016 Ben Rose <brose@redhat.com>
- CERTPX-543 - add ethernet test back to -preview

* Wed Nov 16 2016 Ben Rose <brose@redhat.com>
- CERTPX-479 stop building -information and take it out of requires for -hardware

* Tue Nov 15 2016 Ben Rose <brose@redhat.com>
- CERTPX-400 use different thread counts for 100GigEthernet

* Wed Nov 09 2016 Ben Rose <brose@redhat.com>
- CERTPX-391 - set self.debug to off in init prior to parent init for use in server start/stop injections
- CERTPX-391 - check the debug value correctly
- CERTPX-391 only print bluez service not found message if debug is on

* Mon Nov 07 2016 Ben Rose <brose@redhat.com>
- rev version to 4.2

* Wed Oct 19 2016 Ben Rose <brose@redhat.com>
- CERTPX-389 update %requires for redhat-certification to 4.1

* Mon Oct 17 2016 Ben Rose <brose@redhat.com>
- CERTPX-366 rev version to 4.1
- CERTPX-279 update changelog
- CERTPX-131 - remove confusing fingerprint test related exception from planning log

* Thu Oct 06 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-190 Hardware/info test - kernel version      - use rhcert.tags.TestResult class to combine results values

* Mon Sep 26 2016 Ben Rose <brose@redhat.com>
- CERTPX-140 - fix httpTransferTest on 32bit os with >= 10Gbit connections
- CERTPX-279 - update changelog

* Fri Sep 23 2016 Ben Rose <brose@redhat.com>
- CERTPX-223 properly escape regex

* Tue Sep 20 2016 Ben Rose <brose@redhat.com>
- CERTPX-121 - Update instructions in lid test
- CERTPX-208 - only run server side bluetooth agent if bluetooth is supported on server

* Thu Sep 15 2016 Ben Rose <brose@redhat.com>
- CERTPX-238 If HWP cpuflag is present then ignore results of minimum test within cpuscaling test

* Wed Sep 14 2016 Ben Rose <brose@redhat.com>
- CERTPX-233 - correct version in kernelInfo.xml for ARM
- CERTPX-223 - match on lvm with one or more spaces separating kmin and device name
- CERTPX-248 - rev version to 4.0
- update kernelInfo for new version of ARM RHEL

* Fri Sep 02 2016 Ben Rose <brose@redhat.com>
- updating changelog
- CERTPX-183 - add bluetooth test to -preview package

* Thu Sep 01 2016 Ben Rose <brose@redhat.com>
- CERTPX-200 update %requires rhc to 2.9
- CERTPX-191 - rev version to 1.X.9

* Wed Aug 31 2016 Ben Rose <brose@redhat.com>
- CERTPX-188- remove call to CheckRHCertPackages in info since it's been moved to rhcert self check test

* Tue Aug 30 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-188 many tests are not getting planned on multiple archs and RHEL versions

* Sat Aug 20 2016 Ben Rose <brose@redhat.com>
- CERTPX-142 - updating changelog
- CERTPX-142 - add tools directory with git2changelog.py

* Fri Aug 19 2016 Ben Rose <brose@redhat.com>
- CERTPX-129 - fix error introduced to 7.2 fv tests

* Thu Aug 18 2016 Ben Rose <brose@redhat.com>
- CERTPX-129 refactor and ensure virtlogd.socket service is started/restarted for fv tests
- CERTPX-134 Enable 7.3 hardware certifications in Redhat-certification

* Thu Aug 18 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-139 The latest hwcert testsuite 20160725 doesn't log udev devices for the info test.
- CERTPX-137 memory test error: chmod of memory.py

* Thu Aug 04 2016 Ben Rose <brose@redhat.com>
- check wifi devices from rfkill list all until one found that can be run with iw <device> info
- update version to 1.7.8

* Fri Jul 29 2016 Ben Rose <brose@redhat.com>
- 1361660 remove preview prefix from 50 and 100 GigE tests

* Fri Jul 22 2016 Ben Rose <brose@redhat.com>
- fix typo in changelog

* Thu Jul 21 2016 Ben Rose <brose@redhat.com>
- 1358973 - Utilize rhcert code in info test
- Revert 1358479 - update print statements for info test""
- Revert Revert "Revert "Revert "remove network directory from preview make file"""""
- Revert Revert "Revert "remove network directory from preview make file""""

* Wed Jul 20 2016 Ben Rose <brose@redhat.com>
- 1358479 - update print statements for info test

* Mon Jul 18 2016 Ben Rose <brose@redhat.com>
- Revert Revert "remove network directory from preview make file"""
- Revert Revert "1341398 - move 100GigE and 50GigE tests to standard -hardware package"""

* Thu Jul 14 2016 Ben Rose <brose@redhat.com>
- 1304879 - fix test so it doesn't blow up in planning when reader not plugged in
- rev'ed version to 1.7.7

* Fri Jul 08 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-476 Move RHEL platform validation code to rhcert libaries

* Mon Jun 27 2016 Ben Rose <brose@redhat.com>
- 1348331 - cast to int in freq comparison methods

* Tue Jun 21 2016 Ben Rose <brose@redhat.com>
- Revert 1341398 - move 100GigE and 50GigE tests to standard -hardware package""
- Revert remove network directory from preview make file""
- 1348705 - update unsupported hardware detection to use the new message structure

* Mon Jun 20 2016 Ben Rose <brose@redhat.com>
- 1348331 - update acceptable window for cpuscaling to -50/+100

* Tue May 31 2016 Ben Rose <brose@redhat.com>
- remove network directory from preview make file
- 1341398 - move 100GigE and 50GigE tests to standard -hardware package

* Thu Apr 14 2016 Ben Rose <brose@redhat.com>
- 1327356 move 25GigEthernet to regular test package
- 1327345 - move 20GigEthernet test to regular test package

* Fri Mar 11 2016 Ben Rose <brose@redhat.com>
- Added generic ethernet test to tech preview and fixed path prefixes for 50 and 100G
- 1314838 - add 100GigEthernet test to tech preview
- 1304764 - add 50GigEthernet test to tech preview
- 1304763 - add 25GigEthernet test to tech preview
- 1304762 - refactor ethernetTest into hwcert/ethernet.py, create 20GigEthernet test in techpreview


